clang 10.0.0git

Classes | Namespaces | Enumerations | Functions
Driver.h File Reference
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Driver/Action.h"`
`#include "clang/Driver/Options.h"`
`#include "clang/Driver/Phases.h"`
`#include "clang/Driver/ToolChain.h"`
`#include "clang/Driver/Types.h"`
`#include "clang/Driver/Util.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Option/Arg.h"`
`#include "llvm/Option/ArgList.h"`
`#include "llvm/Support/StringSaver.h"`
`#include <list>`
`#include <map>`
`#include <string>`
Include dependency graph for Driver.h:

Go to the source code of this file.

## Classes
class | clang::driver::Driver
| Driver - Encapsulate logic for constructing compilation processes from a set of gcc-driver-like command line arguments. More...
struct | clang::driver::Driver::CompilationDiagnosticReport
| Contains the files in the compilation diagnostic report generated by generateCompilationDiagnostics. More...

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| llvm::vfs
| clang
| Dataflow Directional Tag Classes.
| clang::driver

## Enumerations
enum | clang::driver::LTOKind { clang::driver::LTOK_None, clang::driver::LTOK_Full, clang::driver::LTOK_Thin, clang::driver::LTOK_Unknown }
| Describes the kind of LTO mode selected via -f(no-)?lto(=.*)? options. More...

## Functions
bool | clang::driver::isOptimizationLevelFast (const llvm::opt::ArgList &Args)
bool | clang::driver::willEmitRemarks (const llvm::opt::ArgList &Args)